Bug 441969 - server-21 breaks compiz; reverting to -18 fixes
server-21 breaks compiz; reverting to -18 fixes
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: xorg-x11-server (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
:
Depends On:
Blocks: f9-x-blocker
  Show dependency treegraph
 
Reported: 2008-04-10 17:48 EDT by Tom London
Modified: 2008-04-15 07:09 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-15 07:09:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Xorg.0.log from compiz crash (37.32 KB, text/plain)
2008-04-10 17:48 EDT, Tom London
no flags Details
glxinfo running with -21 (6.75 KB, text/plain)
2008-04-11 16:24 EDT, Tom London
no flags Details
rerun of 'glxinfo' - this time showing diffs (6.75 KB, text/plain)
2008-04-12 11:48 EDT, Tom London
no flags Details

  None (edit)
Description Tom London 2008-04-10 17:48:11 EDT
Description of problem:
After updating to
xorg-x11-server-Xorg-1.4.99.901-21.20080407.fc9.i386.rpm
and
xorg-x11-server-common-1.4.99.901-21.20080407.fc9.i386.rpm

compiz fails to start. Get this in .xsession-errors:

compiz (core) - Fatal: No GLXFBConfig for default depth, this isn't going to work.
compiz (core) - Error: Failed to manage screen: 0
compiz (core) - Fatal: No manageable screens found on display :0.0

Attach Xorg.0.log below

Version-Release number of selected component (if applicable):
xorg-x11-server-Xorg-1.4.99.901-21.20080407.fc9.i386.rpm
xorg-x11-server-common-1.4.99.901-21.20080407.fc9.i386.rpm

How reproducible:
Every time

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Tom London 2008-04-10 17:48:11 EDT
Created attachment 302079 [details]
Xorg.0.log from compiz crash
Comment 2 Tom London 2008-04-10 17:49:14 EDT
Should add: Thinkpad X60, intel 945.
Comment 3 Tom London 2008-04-11 09:50:40 EDT
Fails as above with today's Rawhide. Reverting to -18 continues to fix:

Apr 11 06:33:33 Updated: xorg-x11-server-common-1.4.99.901-21.20080407.fc9.i386
Apr 11 06:34:40 Updated: cairo-1.6.0-1.fc9.i386
Apr 11 06:34:42 Updated: mesa-libGL-7.1-0.23.fc9.i386
Apr 11 06:34:43 Updated: gnome-panel-libs-2.22.1.2-1.fc9.i386
Apr 11 06:34:44 Updated: mesa-libGLU-7.1-0.23.fc9.i386
Apr 11 06:35:02 Updated: 1:libswt3-gtk2-3.3.2-9.fc9.i386
Apr 11 06:35:46 Updated: 1:gdm-2.21.10-0.2008.04.08.4.fc9.i386
Apr 11 06:37:01 Updated: mesa-libOSMesa-7.1-0.23.fc9.i386
Apr 11 06:37:21 Updated: 1:gdm-user-switch-applet-2.21.10-0.2008.04.08.4.fc9.i386
Apr 11 06:37:58 Updated: gnome-panel-2.22.1.2-1.fc9.i386
Apr 11 06:38:03 Updated: glx-utils-7.1-0.23.fc9.i386
Apr 11 06:38:24 Updated: gnome-session-2.22.1.1-1.fc9.i386
Apr 11 06:38:31 Updated: xorg-x11-server-Xorg-1.4.99.901-21.20080407.fc9.i386
Apr 11 06:38:35 Updated: nscd-2.7.90-15.i386
Apr 11 06:38:39 Updated: mesa-libGL-devel-7.1-0.23.fc9.i386
Apr 11 06:38:49 Updated: gnome-panel-devel-2.22.1.2-1.fc9.i386
Apr 11 06:38:56 Updated: mesa-libGLU-devel-7.1-0.23.fc9.i386
Comment 4 Adam Jackson 2008-04-11 15:46:42 EDT
What does glxinfo say?
Comment 5 Tom London 2008-04-11 16:24:55 EDT
Created attachment 302167 [details]
glxinfo running with -21

Don't see any difference between this and glxinfo run with -18
Comment 6 Tom London 2008-04-11 17:12:57 EDT
Not sure if its helpful, but I believe -19 breaks for me as well.

Worth me testing this?
Comment 7 Tom London 2008-04-12 11:48:36 EDT
Created attachment 302227 [details]
rerun of 'glxinfo' - this time showing diffs

I reran 'glxinfo' again, this time with 'session' setup to come up in metacity,
and after today's updates.  [Also, from my home office, so the monitor is
different.]

This time I get some diffs, but I don't know enough to know if these are
significant....

[tbl@localhost ~]$ diff glx-meta-1280.txt glxinfo-21.txt | more
72c72
< 0x78 32 tc  0 32  0 r  .  .  8  8  8	8  0  0  0  0  0  0  0	0 0 None
---
> 0x70 32 tc  0 32  0 r  .  .  8  8  8	8  0  0  0  0  0  0  0	0 0 None
78,85c78,93
< 0x79	0 tc  0 32  0 r  .  .  8  8  8	8  0  0  0  0  0  0  0	0 0 None
< 0x7a	0 tc  0 32  0 r  .  .  8  8  8	8  0  0  0 16 16 16 16	0 0 Slow
< 0x7b	0 tc  0 32  0 r  y  .  8  8  8	8  0  0  0  0  0  0  0	0 0 None
< 0x7c	0 tc  0 32  0 r  y  .  8  8  8	8  0  0  0 16 16 16 16	0 0 Slow
< 0x7d	0 tc  0 32  0 r  y  .  8  8  8	8  0  0  0  0  0  0  0	0 0 None
< 0x7e	0 tc  0 32  0 r  y  .  8  8  8	8  0  0  0 16 16 16 16	0 0 Slow
< 0x7f	0 tc  0 32  0 r  .  .  8  8  8	8  0 24  8  0  0  0  0	0 0 None
< 0x80	0 tc  0 32  0 r  .  .  8  8  8	8  0 24  8 16 16 16 16	0 0 Slow
---
> 0x71	0 tc  0 32  0 r  .  .  8  8  8	8  0  0  0  0  0  0  0	0 0 None
> 0x72	0 tc  0 32  0 r  .  .  8  8  8	8  0  0  0 16 16 16 16	0 0 Slow
> 0x73	0 tc  0 32  0 r  y  .  8  8  8	8  0  0  0  0  0  0  0	0 0 None
> 0x74	0 tc  0 32  0 r  y  .  8  8  8	8  0  0  0 16 16 16 16	0 0 Slow
> 0x75	0 tc  0 32  0 r  y  .  8  8  8	8  0  0  0  0  0  0  0	0 0 None
> 0x76	0 tc  0 32  0 r  y  .  8  8  8	8  0  0  0 16 16 16 16	0 0 Slow
> 0x77	0 tc  0 32  0 r  .  .  8  8  8	8  0 24  8  0  0  0  0	0 0 None
> 0x78	0 tc  0 32  0 r  .  .  8  8  8	8  0 24  8 16 16 16 16	0 0 Slow
> 0x79	0 tc  0 32  0 r  y  .  8  8  8	8  0 24  8  0  0  0  0	0 0 None
> 0x7a	0 tc  0 32  0 r  y  .  8  8  8	8  0 24  8 16 16 16 16	0 0 Slow
> 0x7b	0 tc  0 32  0 r  y  .  8  8  8	8  0 24  8  0  0  0  0	0 0 None
> 0x7c	0 tc  0 32  0 r  y  .  8  8  8	8  0 24  8 16 16 16 16	0 0 Slow
> 0x7d	0 tc  0 32  0 r  .  .  8  8  8	8  0 24  8  0  0  0  0	0 0 None
> 0x7e	0 tc  0 32  0 r  .  .  8  8  8	8  0 24  8 16 16 16 16	0 0 Slow
> 0x7f	0 tc  0 32  0 r  y  .  8  8  8	8  0 24  8  0  0  0  0	0 0 None
> 0x80	0 tc  0 32  0 r  y  .  8  8  8	8  0 24  8 16 16 16 16	0 0 Slow
88,103c96,111
< 0x83	0 tc  0 32  0 r  y  .  8  8  8	8  0 24  8  0  0  0  0	0 0 None
< 0x84	0 tc  0 32  0 r  y  .  8  8  8	8  0 24  8 16 16 16 16	0 0 Slow
< 0x85	0 tc  0 32  0 r  .  .  8  8  8	8  0 24  8  0  0  0  0	0 0 None
< 0x86	0 tc  0 32  0 r  .  .  8  8  8	8  0 24  8 16 16 16 16	0 0 Slow
< 0x87	0 tc  0 32  0 r  y  .  8  8  8	8  0 24  8  0  0  0  0	0 0 None
< 0x88	0 tc  0 32  0 r  y  .  8  8  8	8  0 24  8 16 16 16 16	0 0 Slow
< 0x89	0 tc  0 32  0 r  y  .  8  8  8	8  0 24  8  0  0  0  0	0 0 None
< 0x8a	0 tc  0 32  0 r  y  .  8  8  8	8  0 24  8 16 16 16 16	0 0 Slow
< 0x8b	0 dc  0 32  0 r  .  .  8  8  8	8  0  0  0  0  0  0  0	0 0 None
< 0x8c	0 dc  0 32  0 r  .  .  8  8  8	8  0  0  0 16 16 16 16	0 0 Slow
< 0x8d	0 dc  0 32  0 r  y  .  8  8  8	8  0  0  0  0  0  0  0	0 0 None
< 0x8e	0 dc  0 32  0 r  y  .  8  8  8	8  0  0  0 16 16 16 16	0 0 Slow
< 0x8f	0 dc  0 32  0 r  y  .  8  8  8	8  0  0  0  0  0  0  0	0 0 None
< 0x90	0 dc  0 32  0 r  y  .  8  8  8	8  0  0  0 16 16 16 16	0 0 Slow
< 0x91	0 dc  0 32  0 r  .  .  8  8  8	8  0 24  8  0  0  0  0	0 0 None
< 0x92	0 dc  0 32  0 r  .  .  8  8  8	8  0 24  8 16 16 16 16	0 0 Slow
---
> 0x83	0 dc  0 32  0 r  .  .  8  8  8	8  0  0  0  0  0  0  0	0 0 None
> 0x84	0 dc  0 32  0 r  .  .  8  8  8	8  0  0  0 16 16 16 16	0 0 Slow
> 0x85	0 dc  0 32  0 r  y  .  8  8  8	8  0  0  0  0  0  0  0	0 0 None
> 0x86	0 dc  0 32  0 r  y  .  8  8  8	8  0  0  0 16 16 16 16	0 0 Slow
> 0x87	0 dc  0 32  0 r  y  .  8  8  8	8  0  0  0  0  0  0  0	0 0 None
> 0x88	0 dc  0 32  0 r  y  .  8  8  8	8  0  0  0 16 16 16 16	0 0 Slow
> 0x89	0 dc  0 32  0 r  .  .  8  8  8	8  0 24  8  0  0  0  0	0 0 None
> 0x8a	0 dc  0 32  0 r  .  .  8  8  8	8  0 24  8 16 16 16 16	0 0 Slow
> 0x8b	0 dc  0 32  0 r  y  .  8  8  8	8  0 24  8  0  0  0  0	0 0 None
> 0x8c	0 dc  0 32  0 r  y  .  8  8  8	8  0 24  8 16 16 16 16	0 0 Slow
> 0x8d	0 dc  0 32  0 r  y  .  8  8  8	8  0 24  8  0  0  0  0	0 0 None
> 0x8e	0 dc  0 32  0 r  y  .  8  8  8	8  0 24  8 16 16 16 16	0 0 Slow
> 0x8f	0 dc  0 32  0 r  .  .  8  8  8	8  0 24  8  0  0  0  0	0 0 None
> 0x90	0 dc  0 32  0 r  .  .  8  8  8	8  0 24  8 16 16 16 16	0 0 Slow
> 0x91	0 dc  0 32  0 r  y  .  8  8  8	8  0 24  8  0  0  0  0	0 0 None
> 0x92	0 dc  0 32  0 r  y  .  8  8  8	8  0 24  8 16 16 16 16	0 0 Slow
106,113d113
< 0x95	0 dc  0 32  0 r  y  .  8  8  8	8  0 24  8  0  0  0  0	0 0 None
< 0x96	0 dc  0 32  0 r  y  .  8  8  8	8  0 24  8 16 16 16 16	0 0 Slow
< 0x97	0 dc  0 32  0 r  .  .  8  8  8	8  0 24  8  0  0  0  0	0 0 None
< 0x98	0 dc  0 32  0 r  .  .  8  8  8	8  0 24  8 16 16 16 16	0 0 Slow
< 0x99	0 dc  0 32  0 r  y  .  8  8  8	8  0 24  8  0  0  0  0	0 0 None
< 0x9a	0 dc  0 32  0 r  y  .  8  8  8	8  0 24  8 16 16 16 16	0 0 Slow
< 0x9b	0 dc  0 32  0 r  y  .  8  8  8	8  0 24  8  0  0  0  0	0 0 None
< 0x9c	0 dc  0 32  0 r  y  .  8  8  8	8  0 24  8 16 16 16 16	0 0 Slow
[tbl@localhost ~]$
Comment 8 Dave Airlie 2008-04-14 04:47:35 EDT
I've started looking at this I think we just need to rebase to upstream Mesa master.

Comment 9 Tom London 2008-04-15 00:11:03 EDT
Works!!

I updated mesa from koji to 

mesa-libGLU-devel-7.1-0.25.fc9.i386
mesa-libOSMesa-7.1-0.25.fc9.i386
mesa-libGLU-7.1-0.25.fc9.i386
mesa-libGL-devel-7.1-0.25.fc9.i386
mesa-libGL-7.1-0.25.fc9.i386
glx-utils-7.1-0.25.fc9.i386

and then updated xorg-x11-server to

xorg-x11-server-Xorg-1.4.99.901-21.20080407.fc9.i386
xorg-x11-server-common-1.4.99.901-21.20080407.fc9.i386

Booting up into compiz now works fine.

Close?
Comment 10 Matěj Cepl 2008-04-15 07:09:53 EDT
Your wish is my order ;-).

Note You need to log in before you can comment on or make changes to this bug.